<!DOCTYPE html>
<html>
    <head>
        <title>{{ project_object.name }}</title>
    </head>
    <header>
        <header>
            <nav>
                <a href="{% url "list_projects" %}">Main page</a>
            </nav>
        </header>
    </header>
    <body>
        <header>
            <nav>
                <ul>
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div>
                <h1>{{ project_object.name }}</h1>
                <p>{{  project_object.description }}</p>
                <h2>Tasks</h2>
                <p>
                    <a href="{% url "create_task" %}">Create a new task</a>
                </p>
                {% if project_object.tasks.all|length == 0 %}
                    <p>This project has no tasks</p>
                {% else %}
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <table class="new">
                        <tbody>
                            {% for task in project_object.tasks.all %}
                                <tr>
                                    <td>{{ task.name }}</td>
                                    <td>{{ task.assignee.username }}</td>
                                    <td>{{ task.start_date }}</td>
                                    <td>{{ task.due_date }}</td>
                                    <td>{{ task.is_completed|yesno }}</td>
                                </tr>
                            {% endfor %}
                        {% endif %}
                    </tbody>
                </table>
            </div>
        </main>
    </body>
</html>
